<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Onland
 */

get_header();

$error_banner      = onland_option('error_banner', true);
$error_banner_title = onland_option('error_page_title');
$banner_text_align = onland_option('banner_default_text_align', 'left');
$not_found_text     = onland_option('not_found_text');
$go_back_home       = onland_option('go_back_home', true);

?>

<?php if($error_banner == true) : ?>
    <div class="banner-area error-page-banner">
        <div class="container h-100">
            <div class="row h-100">
                <div class="col-lg-12 my-auto">
                    <div class="banner-content text-<?php echo esc_attr( $banner_text_align ); ?>">
                        <h2 class="banner-title">
							<?php echo esc_html($error_banner_title); ?>
                        </h2>

						<?php if ( function_exists( 'bcn_display' ) ) :?>
                            <div class="breadcrumb-container">
								<?php bcn_display();?>
                            </div>
						<?php endif;?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>


    <div id="primary" class="content-area not-found-content">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-6 error-image-column">
                    <div class="error-image-wrapper">
                        <div class="error-image td-cover-bg"></div>
                        <div class="text-404 text-404-one"><?php echo esc_html__('4', 'onland') ?></div>
                        <div class="text-404 text-404-two"><?php echo esc_html__('0', 'onland') ?></div>
                        <div class="text-404 text-404-three"><?php echo esc_html__('4', 'onland') ?></div>
                    </div>
                </div>
                <div class="col-xl-5 offset-xl-1 col-lg-5 offset-lg-1 my-auto">
                    <div class="error-content-text">
                        <?php
                        echo wp_kses( $not_found_text, array(
                            'a'      => array(
                                'href'   => array(),
                                'target' => array()
                            ),
                            'strong' => array(),
                            'small'  => array(),
                            'span'   => array(),
                            'p'   => array(),
                            'h1'   => array(),
                            'h2'   => array(),
                            'h3'   => array(),
                            'h4'   => array(),
                            'h5'   => array(),
                            'h6'   => array(),
                        ) );
                        ?>
                    </div>

                    <?php if ($go_back_home == true) : ?>
                    <div class="go-back-button">
                        <a href="<?php echo esc_url(home_url('/')); ?>" class="td-button"><?php echo esc_html__('Go Back Home', 'onland') ?><i class="flaticon-double-right-arrow"></i></a>
                    </div>
                    <?php endif; ?>

                </div>
            </div>
        </div>
    </div><!-- #primary -->

<?php
get_footer();