<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access directly.
/**
 *
 * Onland Admin Pages
 *
 */
if ( ! class_exists( 'Onland_Admin' ) ) {

	class Onland_Admin{
		private static $instance = null;

		public static function init() {
			if( is_null( self::$instance ) ) {
				self::$instance = new self();
			}
			return self::$instance;
		}

		public function __construct() {

			add_action( 'init', array( $this, 'onland_create_tgmpa_page' ), 1 );
			add_action( 'admin_menu', array( $this, 'onland_create_admin_page' ), 1 );
			add_action( 'admin_enqueue_scripts', array( $this, 'onland_admin_page_enqueue_scripts' ) );

			add_filter( 'ocdi/plugin_page_setup', array( $this, 'onland_pt_ocdi_page_setup' ) );

		}

		public function onland_create_admin_page() {
			add_menu_page( esc_html__( 'Onland', 'onland' ), esc_html__( 'Onland', 'onland' ), 'manage_options', 'onland', array( $this, 'onland_admin_page_dashboard' ), 'dashicons-screenoptions', 2 );
			add_submenu_page( 'onland', esc_html__( 'Welcome', 'onland' ), esc_html__( 'Welcome & Support', 'onland' ), 'manage_options', 'onland', array( $this, 'onland_admin_page_dashboard' ) );
		}

		public function onland_admin_page_dashboard() {
			require_once ONLAND_INC_DIR .'admin/page-dashboard.php';
		}

		public function onland_create_tgmpa_page() {
			require_once ONLAND_INC_DIR .'admin/class-tgm-plugin-activation.php';
			require_once ONLAND_INC_DIR .'admin/page-tgmpa.php';
		}

		public function onland_admin_page_enqueue_scripts() {
			wp_enqueue_style( 'onland-admin', get_theme_file_uri( 'inc/admin/assets/css/admin.css' ), array(), ONLAND_VERSION, 'all' );
		}

		public function onland_pt_ocdi_page_setup( $args ) {

			$args['parent_slug'] = 'onland';
			$args['menu_slug']   = 'onland-import-demo';
			$args['menu_title']  = esc_html__( 'Import Demo', 'onland' );
			$args['capability']  = 'manage_options';

			return $args;

		}

	}

	Onland_Admin::init();
}