<?php

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}

function onland_inline_style() {

	wp_enqueue_style('onland-inline-style', get_theme_file_uri('assets/css/inline-style.css'), array(), ONLAND_VERSION, 'all');

	$onland_inline_css = '
        .elementor-inner {margin-left: -10px;margin-right: -10px;}.elementor-inner .elementor-section-wrap > section:first-of-type .elementor-editor-element-settings {display: block !important;}.elementor-inner .elementor-section-wrap > section:first-of-type .elementor-editor-element-settings li {display: inline-block !important;}.elementor-editor-active .elementor-editor-element-setting{height: 25px;line-height: 25px;text-align: center;}.elementor-section.elementor-section-boxed>.elementor-container {max-width: 1170px !important;}.elementor-section-stretched.elementor-section-boxed .elementor-row{padding-left: 5px;padding-right: 5px;}.elementor-section-stretched.elementor-section-boxed .elementor-container.elementor-column-gap-extended {margin-left: auto;margin-right: auto;}  
    ';

	$logo_image_size = onland_option('logo_image_size');
	if(!empty($logo_image_size['width'])){
		$onland_inline_css .='
			.site-branding img {
			    max-width: inherit;
			}
		';
	}

	$primary_color = onland_option('theme_primary_color', '');
	if(!empty($primary_color)){

		list($r, $g, $b) = sscanf($primary_color, "#%02x%02x%02x");

		$onland_inline_css .='
			.td-contact-details-box-icon {
			    box-shadow: -10px 10px '.$primary_color.';
			}
			
			.service-layout-one .td-service-item:hover .td-service-box-content,
			.td-gallery-content-wrapper:before,.td-service-two-item:hover .td-service-two-icon{
				background-color: rgba('.$r.', '.$g.', '.$b.', .9);
			}
			
			.project-slide-item:hover .title,
			.toggle-full-bg{
				background-color: rgba('.$r.', '.$g.', '.$b.', .7);
			}
		';
	}

	$secondary_color = onland_option('theme_secondary_color', '');
	if(!empty($secondary_color)){

		list($r, $g, $b) = sscanf($secondary_color, "#%02x%02x%02x");

		$onland_inline_css .='
			.td-contact-details-box:hover .td-contact-details-box-icon {
			    box-shadow: -10px 10px '.$secondary_color.';
			}
			
			.project-slide-item .title{
				background-color: rgba('.$r.', '.$g.', '.$b.', .65);
			}
			.td-twbt-wrapper span{
			    -webkit-text-stroke-color : '.$secondary_color.';
			}
		';
	}

	$custom_css = onland_option('onland_custom_css');

	$onland_inline_css .= ''.$custom_css.'';

	wp_add_inline_style('onland-inline-style', $onland_inline_css);
}

add_action('wp_enqueue_scripts', 'onland_inline_style');