<?php
// Video Post Meta
$onland_video_post_meta = 'video_post_format_meta';

CSF::createMetabox( $onland_video_post_meta, array(
	'title'        => esc_html__('Video Post Format Options', 'onland' ),
	'post_type'    => 'post',
	'post_formats' => array('video'),
) );

CSF::createSection( $onland_video_post_meta, array(
	'fields' => array(

		array(
			'id'    => 'post_video_url',
			'type'  => 'text',
			'title' => esc_html__('Video URL', 'onland' ),
			'desc'    => esc_html__( 'Paste video URL here', 'onland' ),
		),

	)
));

// Audio Post Meta
$onland_audio_post_meta = 'audio_post_format_meta';

CSF::createMetabox( $onland_audio_post_meta, array(
	'title'        => esc_html__('Audio Post Format Options', 'onland' ),
	'post_type'    => 'post',
	'post_formats' => array('audio'),
) );

CSF::createSection( $onland_audio_post_meta, array(
	'fields' => array(

		array(
			'id'    => 'audio_embed_code',
			'type'  => 'code_editor',
			'settings' => array(
				'theme'  => 'monokai',
				'mode'   => 'htmlmixed',
			),
			'title' => esc_html__('Audio Embed Code', 'onland' ),
			'desc'    => esc_html__( 'Paste sound cloud audio embed code here', 'onland' ),
		),

	)
));


// Gallery Post Meta
$onland_gallery_post_meta = 'gallery_post_format_meta';

CSF::createMetabox( $onland_gallery_post_meta, array(
	'title'        => esc_html__('Gallery Post Format Options', 'onland' ),
	'post_type'    => 'post',
	'post_formats' => array('gallery'),
) );

CSF::createSection( $onland_gallery_post_meta, array(
	'fields' => array(

		array(
			'id'          => 'post_gallery_images',
			'type'        => 'gallery',
			'title' => esc_html__('Gallery Images', 'onland' ),
			'add_title'   => esc_html__('Upload Gallery Images', 'onland'),
			'edit_title'  => esc_html__('Edit Gallery Images', 'onland'),
			'clear_title' => esc_html__('Remove Gallery Images', 'onland'),
			'desc'    => esc_html__( 'Upload gallery images from here', 'onland' ),
		),

	)
));