<?php

$onland_team_meta = 'onland_team_meta';

// Create a metabox
CSF::createMetabox( $onland_team_meta, array(
	'title'     => esc_html__( 'Member Options', 'onland' ),
	'post_type' => 'onland_team',
	'data_type' => 'serialize',
) );


CSF::createSection( $onland_team_meta, array(
	'fields' => array(
		array(
			'id'           => 'member_social_profile',
			'type'         => 'group',
			'title'        => esc_html__( 'Member Social Profile', 'onland' ),
			'desc'         => esc_html__( 'Add member social profile icons here.', 'onland' ),
			'button_title' => esc_html__( 'Add Social Profile', 'onland' ),
			'fields'       => array(
				array(
					'id'    => 'site_name',
					'type'  => 'text',
					'title' => esc_html__( 'Site Name', 'onland' ),
					'desc'  => esc_html__( 'Type social site name here.', 'onland' ),
				),

				array(
					'id'    => 'site_icon',
					'type'  => 'icon',
					'title' => esc_html__( 'Icon', 'onland' ),
					'desc'  => esc_html__( 'Select icon', 'onland' ),
				),

				array(
					'id'    => 'site_url',
					'type'  => 'text',
					'title' => esc_html__( 'Profile Link', 'onland' ),
					'desc'  => esc_html__( 'Type social site url here.', 'onland' ),
				),
			),

			'default' => array(
				array(
					'site_name' => esc_html__( 'Facebook', 'onland' ),
					'site_icon' => 'fab fa-facebook',
					'site_url'  => '#',
				),
			),
		),

		array(
			'id'           => 'member_skills',
			'type'         => 'group',
			'title'        => esc_html__( 'Member Skills', 'onland' ),
			'desc'         => esc_html__( 'Add member skills here.', 'onland' ),
			'button_title' => esc_html__( 'Add Skill', 'onland' ),
			'fields'       => array(
				array(
					'id'    => 'skill_title',
					'type'  => 'text',
					'title' => esc_html__( 'Title', 'onland' ),
					'desc'  => esc_html__( 'Skill title here.', 'onland' ),
				),

				array(
					'id'    => 'skill_percent',
					'type'  => 'text',
					'title' => esc_html__( 'Percent', 'onland' ),
					'desc'  => esc_html__( 'Skill percent here.', 'onland' ),
				),
			),

			'default' => array(
				array(
					'skill_title' => esc_html__( 'Lawn Renovation', 'onland' ),
					'skill_percent'  => '80',
				),
			),
		),

		array(
			'id'          => 'member_awards',
			'type'        => 'gallery',
			'title' => esc_html__('Award Images', 'onland' ),
			'add_title'   => esc_html__('Upload Award Images', 'onland'),
			'edit_title'  => esc_html__('Edit Award Images', 'onland'),
			'clear_title' => esc_html__('Remove Award Images', 'onland'),
			'desc'    => esc_html__( 'Upload Award images from here', 'onland' ),
		),
	)
) );