<?php

// Create banner options
CSF::createSection( $onland_theme_option, array(
	'title'  => esc_html__( 'Banner Options', 'onland' ),
	'id'     => 'banner_default_options',
	'icon'   => 'fa fa-flag-o',
	'fields' => array(

		array(
			'id'                    => 'banner_default_background',
			'type'                  => 'background',
			'title'                 => esc_html__( 'Banner Background', 'onland' ),
			'background_gradient'   => true,
			'background_origin'     => false,
			'background_clip'       => false,
			'background_blend-mode' => false,
			'background_attachment' => false,
			'background_size'       => false,
			'background_position'   => false,
			'background_repeat'     => false,
			'output'                => '.banner-area',
			'desc'                  => esc_html__( 'Select banner background color and image. You can change this settings on individual page / post.', 'onland' ),
		),

		array(
			'id'      => 'banner_default_text_align',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Banner Text Align', 'onland' ),
			'options' => array(
				'start'   => esc_html__( 'Left', 'onland' ),
				'center' => esc_html__( 'Center', 'onland' ),
				'end'  => esc_html__( 'Right', 'onland' ),
			),
			'default' => 'start',
			'desc'    => esc_html__( 'Select banner text align. You can change this settings on individual page / post.', 'onland' ),
		),

		array(
			'id'      => 'hide_banner_title',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Hide Banner Title', 'onland' ),
			'options' => array(
				'yes' => esc_html__( 'Yes', 'onland' ),
				'no'  => esc_html__( 'No', 'onland' ),
			),
			'default' => 'no',
			'desc'    => esc_html__( 'Hide banner title. You can change this settings on individual page / post.', 'onland' ),
		),

		array(
			'id'      => 'hide_banner_breadcrumb',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Hide Banner Breadcrumb', 'onland' ),
			'options' => array(
				'yes' => esc_html__( 'Yes', 'onland' ),
				'no'  => esc_html__( 'No', 'onland' ),
			),
			'default' => 'no',
			'desc'    => esc_html__( 'Hide banner breadcrumb. You can change this settings on individual page / post.', 'onland' ),
		),

		array(
			'id'            => 'banner_default_height',
			'type'          => 'dimensions',
			'title'         => esc_html__( 'Banner Height', 'onland' ),
			'output'        => '.banner-area',
			'width'         => false,
			'height'        => true,
			'desc'          => esc_html__( 'Select banner height. You can change this settings on individual page / post.', 'onland' ),
		),
	)
) );