<?php
// Create Footer section

CSF::createSection( $onland_theme_option, array(
	'title' => esc_html__( 'Footer Settings', 'onland' ),
	'id'    => 'all_footer_options',
	'icon'  => 'fa fa-wordpress',
) );


CSF::createSection( $onland_theme_option, array(
	'parent' => 'all_footer_options',
	'title'  => esc_html__( 'Footer Options', 'onland' ),
	'id'     => 'footer_options',
	'icon'   => 'fa fa-wordpress',
	'fields' => array(

		array(
			'id'      => 'default_footer_style',
			'type'    => 'select',
			'title'   => esc_html__( 'Footer Style', 'onland' ),
			'desc'    => esc_html__( 'Default footer style.', 'onland' ),
			'options' => array(
				'footer-style-one' => esc_html__( 'Footer Style One', 'onland' ),
				'footer-style-two' => esc_html__( 'Footer Style Two', 'onland' ),
			),
			'default' => 'footer-style-one',
		),

		array(
			'id'      => 'footer_widget_column',
			'type'    => 'select',
			'title'   => esc_html__( 'Widget Column', 'onland' ),
			'desc'    => esc_html__( 'Select widget area column number.', 'onland' ),
			'options' => array(
				'col-lg-12' => esc_html__( '1 Column', 'onland' ),
				'col-lg-6'  => esc_html__( '2 Column', 'onland' ),
				'col-lg-4'  => esc_html__( '3 Column', 'onland' ),
				'col-lg-3'  => esc_html__( '4 Column', 'onland' ),
			),
			'default' => 'col-lg-3',
		),

		array(
			'id'                    => 'widget_area_background',
			'type'                  => 'background',
			'title'                 => esc_html__( 'Widget Area Background', 'onland' ),
			'background_gradient'   => false,
			'background_origin'     => false,
			'background_clip'       => false,
			'background_blend-mode' => false,
			'background_attachment' => true,
			'background_size'       => true,
			'background_position'   => true,
			'background_repeat'     => true,
			'output'                => '.footer-widget-area',
			'desc'                  => esc_html__( 'Select footer widget area background color and image.', 'onland' ),
		),

		array(
			'id'           => 'footer_image',
			'type'         => 'media',
			'title'        => esc_html__( 'Footer Image', 'onland' ),
			'library'      => 'image',
			'url'          => false,
			'button_title' => esc_html__( 'Upload Image', 'onland' ),
			'desc'         => esc_html__( 'Upload footer image', 'onland' ),
		),

		array(
			'id'           => 'footer_social_icons',
			'type'         => 'group',
			'title'        => esc_html__( 'Social Icons', 'onland' ),
			'desc'         => esc_html__( 'Click "Add Social Icon" button to add new icons.', 'onland' ),
			'button_title' => esc_html__( 'Add Social Icon', 'onland' ),
			'fields'       => array(

				array(
					'id'    => 'icon',
					'type'  => 'icon',
					'title' => esc_html__( 'Site Icon', 'onland' ),
					'desc'  => esc_html__( 'Select icon', 'onland' ),
				),

				array(
					'id'    => 'profile_url',
					'type'  => 'text',
					'title' => esc_html__( 'Profile Link', 'onland' ),
					'desc'  => esc_html__( 'Type social profile link here.', 'onland' ),
				),


			),

			'default' => array(
				array(
					'icon'        => 'fab fa-twitter',
					'profile_url' => '#',
				),
			),

			'dependency' => array( 'default_footer_style', 'any', 'footer-style-two', 'all' ),
		),

		array(
			'id'            => 'footer_info_left_text',
			'type'          => 'wp_editor',
			'title'         => esc_html__( 'Footer Info Left Text', 'onland' ),
			'desc'          => esc_html__( 'Type footer info left text here.', 'onland' ),
			'tinymce'       => true,
			'quicktags'     => true,
			'media_buttons' => false,
			'height'        => '100px',
			'dependency'    => array( 'default_footer_style', 'any', 'footer-style-one', 'all' ),
		),

		array(
			'id'            => 'copyright_text',
			'type'          => 'wp_editor',
			'title'         => esc_html__( 'Copyright Text', 'onland' ),
			'desc'          => esc_html__( 'Type site copyright text here.', 'onland' ),
			'tinymce'       => true,
			'quicktags'     => true,
			'media_buttons' => false,
			'height'        => '100px',
		),

		array(
			'id'          => 'copyright_area_bg_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Copyright Area Background Color', 'onland' ),
			'desc'        => esc_html__( 'Select copyright area background color.', 'onland' ),
			'output'   => array(
				'background-color' => '.footer-bottom-area',
			),
		),

		array(
			'id'       => 'go_to_top_button',
			'type'     => 'switcher',
			'title'    => esc_html__( 'Enable Go Top Button', 'onland' ),
			'default'  => true,
			'text_on'  => esc_html__( 'Yes', 'onland' ),
			'text_off' => esc_html__( 'No', 'onland' ),
			'desc'     => esc_html__( 'Enable or disable go to top button.', 'onland' ),
		),
	)
) );