<?php

// Create general section
CSF::createSection( $onland_theme_option, array(
	'title'  => esc_html__( 'General Options', 'onland' ),
	'id'     => 'general_options',
	'icon'   => 'fa fa-google',
	'fields' => array(
		array(
			'id'       => 'theme_primary_color',
			'type'     => 'color',
			'title'    => esc_html__( 'Primary Color', 'onland' ),
			'desc'     => esc_html__( 'Select theme primary color. Few colors not change from here. You can change them from individual Elementor widget.', 'onland' ),
			'output'   => array(
				'background-color' => '.td-primary-bg,.td-secondary-bg.td-hover:hover,.td-button, input[type="submit"], button[type="submit"],.widget.widget_tag_cloud a,.post-tags a,
.blog-next-prev-img:before,.no-thumb .blog-next-prev-img,.post-pagination ul li a:hover, .page-links a:hover, .post-pagination ul li span.current, .page-links .current,.cart-product-count,.post-details-wrapper article .entry-content .wp-block-button__link, .post-details-wrapper article .entry-content .wp-block-file .wp-block-file__button,.wp-block-tag-cloud a,.td-video-button:before, .td-video-button:after,.slick-arrow,.slick-dots button,.footer-widget-area .widget.widget_tag_cloud a:hover,
.toggle-sidebar-wrapper .woocommerce.widget_shopping_cart .buttons a:hover,.social-icons ul li a:hover,.woocommerce span.onsale,.woocommerce div.product div.images .woocommerce-product-gallery__trigger,.woocommerce.td-product-list-view .td-shop-page a.added_to_cart,
.woocommerce nav.woocommerce-pagination ul li a:hover,.woocommerce nav.woocommerce-pagination ul li span.current,.widget.widget_product_categories .count,.widget.widget_layered_nav .count,.widget.widget_product_categories li a:hover,
.widget.widget_layered_nav li a:hover,.scroll-to-top,.header-style-three .header-area:before,.woocommerce .widget_price_filter .ui-slider .ui-slider-range,.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,.widget_product_tag_cloud a,
.woocommerce button.button.alt.disabled,.woocommerce button.button.alt.disabled:hover,.td-pricing-table:hover,
.woocommerce div.product form.cart .reset_variations,.td-post-layout-two .td-button:hover,.td-pricing-shape-four,.td-service-three-item-bg,.td-service-three-button i,.team-layout-two .td-single-team-member:hover,.main-navigation ul li a:before,.main-navigation ul li ul,
.team-layout-two .td-single-team-member:hover .td-member-social a,.td-accordion-wrapper .accordion-button:not(.collapsed):after,.themedraft-button,.header-style-three .header-button .td-button:hover,.td-home-slider-two .td-slide-title span:nth-child(1),
.td-service-two-item:hover .td-service-two-title,.project-slide-item:hover .td-project-button,.breadcrumb-container,.sidebar-widget-area .widget.widget_categories a:hover,.sidebar-widget-area .widget.widget_archive li:hover a,.sidebar-widget-area .widget.widget_pages li a:hover,
.sidebar-widget-area .widget.widget_meta li a:hover,.sidebar-widget-area .widget.widget_nav_menu li a:hover,
.sidebar-widget-area .widget.widget_nav_menu li.current-menu-item a,.sidebar-widget-area .widget .post-count-number,.td-icon-list-item:hover .td-icon-list-icon,.team-member-details-wrapper .td-tab-two-container .nav-link:hover, .team-member-details-wrapper .td-tab-two-container .nav-link.active,.team-member-details-wrapper .tab-social-icons ul li a:hover,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, div#review_form_wrapper .form-submit button[type="submit"],
.woocommerce .widget_shopping_cart .cart_list li a.remove, .woocommerce.widget_shopping_cart .cart_list li a.remove,.toggle-sidebar-wrapper .woocommerce.widget_shopping_cart .cart_list li a.remove,.woocommerce-cart-form__cart-item.cart_item td.product-remove a, .woocommerce-MyAccount-navigation ul li.is-active a,.woocommerce-MyAccount-navigation ul li a:hover,.text-404,ul.td-post-list li:hover:before,
.td-contact-details-box:hover',

				'color' => '.td-primary-color,.td-secondary-color.td-hover:hover,a:hover,.sticky .post-content-wrapper:before,.post-meta li i, .post-meta li a:hover,.widget.widget_rss .rss-date,.comment-metadata time,.comments-area .reply a:hover, .comment-author.vcard .fn a:hover,.post-details-wrapper article .entry-content .is-style-outline .wp-block-button__link,.td-product-thumb-buttons .tinvwl_add_to_wishlist_button,.td-product-thumb-buttons .tinvwl_add_to_wishlist_button:hover,.td-product-thumb-buttons i,.comment-form-rating a,.bypostauthor .comment-author.vcard .fn:after,.td-product-grid-view #td-shop-view-mode .td-shop-grid, .td-product-list-view #td-shop-view-mode .td-shop-list, #td-shop-view-mode li:hover, .woocommerce .woocommerce-widget-layered-nav-list .woocommerce-widget-layered-nav-list__item--chosen a:before,.woocommerce .widget_layered_nav_filters ul li a:before,.td-price,.td-recent-widget-date a, .td-recent-widget-date i,.top-info li i,.woocommerce .widget_rating_filter ul li.chosen a::before,span.woocommerce-Price-amount.amount,.td-tabs-wrapper .td-icon-wrapper i,.td-form-control-wrapper i,.td-tab-layout-one .td-tab-subtitle,.td-tab-content-wrapper .td-count-number-unit,.header-style-three .main-navigation ul li:hover > a,.td-project-info-list li span:before, .td-project-info-list li strong:before,.header-style-three .main-navigation ul li.current-menu-item a,.header-style-three .main-navigation ul li.current-menu-ancestor > a,.woocommerce .product_list_widget li .quantity,.single-product.woocommerce .summary.entry-summary .price del,
p.woocommerce-LostPassword.lost_password a,ul.td-post-list li:before,.td-comment-input i,.slicknav_nav a:hover, .slicknav_item.slicknav_row:hover a,.slicknav_item.slicknav_row:hover .slicknav_arrow,.slicknav_menu .current-menu-item > a,.slicknav_menu .current-menu-item .slicknav_row > a,.slicknav_menu .current-menu-ancestor > a,.slicknav_menu .current-menu-ancestor > .slicknav_row > a, .current-menu-ancestor > .slicknav_row .slicknav_arrow,.current-menu-item .slicknav_row .slicknav_arrow',

				'border-color' => '.td-primary-border-color,input:focus, input[type=text]:focus,input[type=email]:focus, input[type=password]:focus,input[type=url]:focus, input[type=search]:focus,input[type=tel]:focus, input[type=number]:focus, input[type=date]:focus,textarea:focus,.td-button, input[type="submit"], button[type="submit"],blockquote.wp-block-quote, blockquote,.comment-form input:focus,.wp-block-quote.is-large, .wp-block-quote.is-style-large,.wp-block-quote.has-text-align-right,.comment-message textarea:focus,.post-pagination ul li a:hover,.social-icons ul li a:hover,.page-links a:hover, .post-pagination ul li span.current, .page-links .current,.post-details-wrapper article .entry-content .is-style-outline .wp-block-button__link,.woocommerce div.product div.images .woocommerce-product-gallery__trigger,
.woocommerce.td-product-list-view .td-shop-page a.added_to_cart,.widget_product_tag_cloud a,.td-post-layout-two .td-button:hover,.td-pricing-shape-two,.testimonial-two-content,.td-service-two-item:hover .td-service-image.border-enable, .td-accordion-wrapper .accordion-body,.header-style-three .header-button .td-button:hover,.td-service-title-wrapper,.team-member-details-wrapper .tab-social-icons ul li a:hover',

				'fill' => '.td-primary-color svg,.td-tabs-wrapper .td-icon-wrapper svg',
			),
		),


		array(
			'id'       => 'theme_secondary_color',
			'type'     => 'color',
			'title'    => esc_html__( 'Secondary Color', 'onland' ),
			'desc'     => esc_html__( 'Select theme secondary color. Few colors not change from here. You can change them from individual Elementor widget.', 'onland' ),
			'output'   => array(
				'background-color' => '.td-secondary-bg,.td-primary-bg.td-hover:hover,.header-style-three .header-area:after,.td-button:hover, input[type="submit"]:hover, button[type="submit"]:hover,.post-tags a:hover,.slick-arrow:hover,.slick-dots button:hover,.slick-dots .slick-active button,.footer-widget-area,.widget.widget_product_categories a:hover + .count,.widget.widget_layered_nav a:hover + .count,.widget_product_tag_cloud a:hover,.td-post-layout-two .td-recent-post-content:hover,.td-tab-two-container .nav-link:hover,.td-service-three-item:hover .td-service-three-button i,.td-tab-two-container .nav-link.active,.td-pricing-shape-three,.td-promo-box:hover,.themedraft-button:hover,.td-tabs-three-wrapper .nav.nav-tabs button.active,.td-pricing-table:hover .td-button,.td-cta-button,.td-tabs-three-wrapper .nav.nav-tabs button:hover,.preloader-wrapper,.main-navigation ul ul li a:hover,.main-navigation ul ul li.current-menu-item > a,.main-navigation ul ul li.current_page_item > a,.main-navigation ul ul li.current-menu-ancestor > a,.main-navigation ul ul li.current_page_ancestor > a,.td-tabs-wrapper .nav-tabs .nav-link.active, .td-tabs-wrapper .nav-tabs .nav-link:hover,.td-testimonial-slider .slick-center .td-single-testimonial-item,.td-home-slider-two .td-slide-title span:nth-child(3),.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, div#review_form_wrapper .form-submit button[type="submit"]:hover, .woocommerce .woocommerce-cart-form__contents button.button:disabled:hover, .woocommerce .woocommerce-cart-form__contents button.button:disabled[disabled]:hover,.sidebar-widget-area .widget.widget_categories a:hover + .post-count-number, .sidebar-widget-area .widget.widget_archive li:hover .post-count-number,.td-project-button,.mobile-menu-container',

				'color' => 'a, h1, h2, h3, h4, h5, h6, strong, dt, th, .comment-meta .fn, .comment-reply-link, .no-comments,.td-secondary-color,.td-primary-color.td-hover:hover,.widget.widget_calendar caption,.wp-calendar-nav,.td-service-three-button:hover,.td-service-three-button',

				'border-color' => '.td-button:hover, input[type="submit"]:hover, button[type="submit"]:hover,.widget_product_tag_cloud a:hover,.td-pricing-table:hover .td-button,
.td-pricing-shape-one,.td-cta-button,.themedraft-button:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, div#review_form_wrapper .form-submit button[type="submit"]:hover, .woocommerce .woocommerce-cart-form__contents button.button:disabled:hover, .woocommerce .woocommerce-cart-form__contents button.button:disabled[disabled]:hover',
			)
		),

		array(
			'id'       => 'enable_preloader',
			'type'     => 'switcher',
			'title'    => esc_html__( 'Enable Pre Loader', 'onland' ),
			'text_on'  => esc_html__( 'Yes', 'onland' ),
			'text_off' => esc_html__( 'No', 'onland' ),
			'desc'     => esc_html__( 'Enable or disable Site Preloader.', 'onland' ),
			'default'  => true
		),

		array(
			'id'           => 'preloader_image',
			'type'         => 'media',
			'title'        => esc_html__( 'Preloader Image', 'onland' ),
			'library'      => 'image',
			'url'          => false,
			'button_title' => esc_html__( 'Upload Image', 'onland' ),
			'desc'         => esc_html__( 'Upload Preloader image', 'onland' ),
			'dependency'   => array( 'enable_preloader', '==', 'true' ),

		),

		array(
			'id'          => 'preloader_background_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Preloader Background Color', 'onland' ),
			'desc'        => esc_html__( 'Select preloader background color.', 'onland' ),
			'dependency'  => array( 'enable_preloader', '==', true ),
			'output'      => '.preloader-wrapper',
			'output_mode' => 'background-color',
		),

		array(
			'id'    => 'google_map_api_key',
			'type'  => 'text',
			'title' => esc_html__( 'Google Map Api Key', 'onland' ),
			'desc'  => esc_html__( 'Paste google map api key here.', 'onland' ),
		),
	)
) );