<?php
//Project Option
CSF::createSection( $onland_theme_option, array(
	'title'  => esc_html__( 'Project Options', 'onland' ),
	'id'     => 'project_options',
	'icon'   => 'fa fa-th',
	'fields' => array(
		array(
			'id'      => 'project_default_layout',
			'type'    => 'select',
			'title'   => esc_html__('Project Layout', 'onland'),
			'options' => array(
				'full-width'  => esc_html__('Full Width', 'onland'),
				'left-sidebar'  => esc_html__('Left Sidebar', 'onland'),
				'right-sidebar' => esc_html__('Right Sidebar', 'onland'),
			),
			'default' => 'full-width',
			'desc'    => esc_html__('Select project layout.', 'onland'),
		),

		array(
			'id'         => 'project_default_sidebar',
			'type'       => 'select',
			'title'      => esc_html__( 'Sidebar', 'onland' ),
			'options'    => 'onland_sidebars',
			'default' => 'onland-project-sidebar',
			'dependency' => array( 'project_default_layout', '!=', 'full-width' ),
			'desc'       => esc_html__( 'Select default sidebar for all projects. You can override this settings on individual project.', 'onland' ),
		),

		array(
			'id'    => 'project_url_slug',
			'type'  => 'text',
			'default' => 'project',
			'title' => esc_html__( 'URL Slug', 'onland' ),
			'desc'  => esc_html__( 'Change project slug on URL. Don\'t forget to reset permalink after change this.', 'onland' ),
		),
	)
) );