<?php
//Service Option
CSF::createSection( $onland_theme_option, array(
	'title'  => esc_html__( 'Service Options', 'onland' ),
	'id'     => 'service_options',
	'icon'   => 'fa fa-th',
	'fields' => array(
		array(
			'id'      => 'service_default_layout',
			'type'    => 'select',
			'title'   => esc_html__('Service Layout', 'onland'),
			'options' => array(
				'full-width'  => esc_html__('Full Width', 'onland'),
				'left-sidebar'  => esc_html__('Left Sidebar', 'onland'),
				'right-sidebar' => esc_html__('Right Sidebar', 'onland'),
			),
			'default' => 'right-sidebar',
			'desc'    => esc_html__('Select service layout.', 'onland'),
		),

		array(
			'id'         => 'service_default_sidebar',
			'type'       => 'select',
			'title'      => esc_html__( 'Sidebar', 'onland' ),
			'options'    => 'onland_sidebars',
			'default' => 'onland-service-sidebar',
			'dependency' => array( 'service_default_layout', '!=', 'full-width' ),
			'desc'       => esc_html__( 'Select default sidebar for all services. You can override this settings on individual service.', 'onland' ),
		),

		array(
			'id'    => 'service_url_slug',
			'type'  => 'text',
			'default' => 'service',
			'title' => esc_html__( 'URL Slug', 'onland' ),
			'desc'  => esc_html__( 'Change service slug on URL. Don\'t forget to reset permalink after change this.', 'onland' ),
		),
	)
) );