<?php
//Single Post

CSF::createSection( $onland_theme_option, array(
	'title'  => esc_html__( 'Single Post / Post Details', 'onland' ),
	'id'     => 'single_post_options',
	'icon'   => 'fa fa-pencil',
	'fields' => array(

		array(
			'id'      => 'single_post_default_layout',
			'type'    => 'select',
			'title'   => esc_html__( 'Layout', 'onland' ),
			'options' => array(
				'left-sidebar'  => esc_html__( 'Left Sidebar', 'onland' ),
				'full-width'    => esc_html__( 'Full Width', 'onland' ),
				'right-sidebar' => esc_html__( 'Right Sidebar', 'onland' ),
			),
			'default' => 'right-sidebar',
			'desc'    => esc_html__( 'Select single post layout', 'onland' ),
		),


		array(
			'id'         => 'single_post_default_sidebar',
			'type'       => 'select',
			'title'      => esc_html__( 'Sidebar', 'onland' ),
			'options'    => 'onland_sidebars',
			'default' => 'onland-sidebar',
			'dependency' => array( 'single_post_default_layout', '!=', 'full-width' ),
			'desc'       => esc_html__( 'Select default sidebar for all posts. You can override this settings on individual post.', 'onland' ),
		),

		array(
			'id'      => 'hide_single_post_banner_title',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Hide Post Banner Title', 'onland' ),
			'options' => array(
				'yes' => esc_html__( 'Yes', 'onland' ),
				'no'  => esc_html__( 'No', 'onland' ),
			),
			'default' => 'no',
			'desc'    => esc_html__( 'Hide banner title. You can change this settings on individual post.', 'onland' ),
		),

		array(
			'id'       => 'show_post_default_title',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Post Title On Banner?', 'onland'),
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Show post title on single post banner area. Default title is "Blog" for all single post.', 'onland'),
			'default'  => false,
			'dependency' => array( 'hide_single_post_banner_title', '==', 'no' ),
		),

		array(
			'id'         => 'post_banner_title',
			'type'       => 'text',
			'title'      => esc_html__('Banner Default Title', 'onland'),
			'desc'       => esc_html__('Default banner title for all post.', 'onland'),
			'dependency' => array( 'show_post_default_title|hide_single_post_banner_title', '==|==', 'false|no' ),
		),

		array(
			'id'      => 'hide_single_post_breadcrumb',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Hide Post Breadcrumb', 'onland' ),
			'options' => array(
				'yes' => esc_html__( 'Yes', 'onland' ),
				'no'  => esc_html__( 'No', 'onland' ),
			),
			'default' => 'yes',
			'desc'    => esc_html__( 'Show / Hide Post breadcrumb. You can change this settings on individual post.', 'onland' ),
		),

		array(
			'id'       => 'single_post_author',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Author Name', 'onland'),
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Hide or show author name on post details page.', 'onland'),
			'default'  => true
		),

		array(
			'id'       => 'single_post_date',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Date', 'onland'),
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Hide or show date on post details page.', 'onland'),
			'default'  => true
		),

		array(
			'id'       => 'single_post_cmnt',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Comments Number', 'onland'),
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Hide or show comments number on post details page.', 'onland'),
			'default'  => true,
		),

		array(
			'id'       => 'single_post_cat',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Categories', 'onland'),
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Hide or show categories on post details page.', 'onland'),
			'default'  => true
		),

		array(
			'id'       => 'single_post_tag',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Tags', 'onland'),
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Hide or show tags on post details page.', 'onland'),
			'default'  => true
		),

		array(
			'id'       => 'post_share',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Share icons', 'onland'),
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Hide or show social share icons on post details page.', 'onland'),
			'default'  => true
		),

		array(
			'id'       => 'prev_next_post',
			'type'     => 'switcher',
			'title'    => esc_html__('Previous / Next Post Thumbnail', 'onland'),
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Hide or show previous / next Post thumbnail on post details page.', 'onland'),
			'default'  => true
		),

		array(
			'id'       => 'post_details_link_color',
			'type'     => 'color',
			'title'    => esc_html__('link Color', 'onland'),
			'desc'     => esc_html__('Select link hover color.', 'onland'),
			'output'   => array(

				'color' => '.post-details-wrapper .entry-content a',
			)
		),

		array(
			'id'       => 'post_details_link_hover_color',
			'type'     => 'color',
			'title'    => esc_html__('link Hover Color', 'onland'),
			'subtitle' => esc_html__('Select theme primary color', 'onland'),
			'desc'     => esc_html__('Select link color.', 'onland'),
			'output'   => array(

				'color' => '.post-details-wrapper .entry-content a:hover',
			)
		),
	)
) );