<?php
//Team Options
CSF::createSection( $onland_theme_option, array(
	'title'  => esc_html__( 'Team Options', 'onland' ),
	'id'     => 'team_options',
	'icon'   => 'fa fa-users',
	'fields' => array(

		array(
			'id'      => 'team_default_layout',
			'type'    => 'select',
			'title'   => esc_html__( 'Team Layout', 'onland' ),
			'options' => array(
				'full-width'    => esc_html__( 'Full Width', 'onland' ),
				'left-sidebar'  => esc_html__( 'Left Sidebar', 'onland' ),
				'right-sidebar' => esc_html__( 'Right Sidebar', 'onland' ),
			),
			'default' => 'full-width',
			'desc'    => esc_html__( 'Select team layout.', 'onland' ),
		),

		array(
			'id'         => 'team_default_sidebar',
			'type'       => 'select',
			'title'      => esc_html__( 'Sidebar', 'onland' ),
			'options'    => 'onland_sidebars',
			'default'    => 'onland-team-sidebar',
			'dependency' => array( 'team_default_layout', '!=', 'full-width' ),
			'desc'       => esc_html__( 'Select default sidebar for all team members. You can override this settings on individual team member.', 'onland' ),
		),

		array(
			'id'    => 'team_url_slug',
			'type'  => 'text',
			'default' => 'team',
			'title' => esc_html__( 'URL Slug', 'onland' ),
			'desc'  => esc_html__( 'Change team slug on URL. Don\'t forget to reset permalink after change this.', 'onland' ),
		),

	)
) );