<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function onland_default_theme_options() {
	return array(
		'copyright_text' => wp_kses(
			__( '&copy; Onland 2021 | All Right Reserved', 'onland' ),
			array(
				'a'      => array(
					'href'   => array(),
					'target' => array()
				),
				'strong' => array(),
				'small'  => array(),
				'span'   => array(),
			)
		),

		'footer_info_left_text' => wp_kses(
			__( 'Onland | Developed by: <a target="_blank" href="https://themedraft.net">ThemeDraft</a>', 'onland' ),
			array(
				'a'      => array(
					'href'   => array(),
					'target' => array()
				),
				'strong' => array(),
				'small'  => array(),
				'span'   => array(),
			)
		),

		'not_found_text' => wp_kses(
			__( '<h2>Oops!</h2><h3>Sorry, The page you are looking for no longer exists.</h3>', 'onland' ),
			array(
				'a'      => array(
					'href'   => array(),
					'target' => array()
				),
				'strong' => array(),
				'small'  => array(),
				'span'   => array(),
				'p'      => array(),
				'h1'     => array(),
				'h2'     => array(),
				'h3'     => array(),
				'h4'     => array(),
				'h5'     => array(),
				'h6'     => array(),
			)
		),

		'post_banner_title'     => esc_html__( 'Blog', 'onland' ),
		'blog_title'            => esc_html__( 'Blog', 'onland' ),
		'blog_read_more_text'   => esc_html__( 'Read More', 'onland' ),
		'error_page_title'      => esc_html__( 'Error 404', 'onland' ),
		'search_placeholder'    => esc_html__( 'Search...', 'onland' ),
		'enable_toggle_sidebar' => false,
	);
}

//Add custom icon set


/**
 * Enqueue Backend Styles And Scripts.
 **/

function onland_enqueue_backend_icon_for_csf() {
	wp_enqueue_style( 'flaticon', get_theme_file_uri( 'assets/fonts/flaticon/flaticon.css' ), array(), '1.0.0', 'all' );
}

add_action( 'admin_enqueue_scripts', 'onland_enqueue_backend_icon_for_csf' );


if ( ! function_exists( 'onland_csf_custom_icons' ) ) {

	function onland_csf_custom_icons( $icons ) {

		// Adding new icons
		$icons[] = array(
			'title' => esc_html__( 'FlatIcon', 'onland' ),
			'icons' => array(
				'flaticon-place'                          => 'flaticon-place',
				'flaticon-shopping-basket'                => 'flaticon-shopping-basket',
				'flaticon-phone-call'                     => 'flaticon-phone-call',
				'flaticon-double-right-arrow'             => 'flaticon-double-right-arrow',
				'flaticon-double-right-arrows-angles'     => 'flaticon-double-right-arrows-angles',
				'flaticon-right-arrow'                    => 'flaticon-right-arrow',
				'flaticon-right'                          => 'flaticon-right',
				'flaticon-secateurs'                      => 'flaticon-secateurs',
				'flaticon-pruners'                        => 'flaticon-pruners',
				'flaticon-leaf'                           => 'flaticon-leaf',
				'flaticon-leaf-1'                         => 'flaticon-leaf-1',
				'flaticon-flower-pot'                     => 'flaticon-flower-pot',
				'flaticon-sunflower'                      => 'flaticon-sunflower',
				'flaticon-flower'                         => 'flaticon-flower',
				'flaticon-tractor'                        => 'flaticon-tractor',
				'flaticon-eggs'                           => 'flaticon-eggs',
				'flaticon-water-hose'                     => 'flaticon-water-hose',
				'flaticon-tree'                           => 'flaticon-tree',
				'flaticon-tree-1'                         => 'flaticon-tree-1',
				'flaticon-shears'                         => 'flaticon-shears',
				'flaticon-plant'                          => 'flaticon-plant',
				'flaticon-plant-1'                        => 'flaticon-plant-1',
				'flaticon-wheelbarrow'                    => 'flaticon-wheelbarrow',
				'flaticon-wheelbarrow-2'                  => 'flaticon-wheelbarrow-2',
				'flaticon-wheelbarrow-1'                  => 'flaticon-wheelbarrow-1',
				'flaticon-wheelbarrow-3'                  => 'flaticon-wheelbarrow-3',
				'flaticon-flower-1'                       => 'flaticon-flower-1',
				'flaticon-double-angle-pointing-to-right' => 'flaticon-double-angle-pointing-to-right',
				'flaticon-farmer'                         => 'flaticon-farmer',
				'flaticon-email'                          => 'flaticon-email',
				'flaticon-email-1'                        => 'flaticon-email-1',
				'flaticon-email-2'                        => 'flaticon-email-2',
				'flaticon-phone-call-1'                   => 'flaticon-phone-call-1',
				'flaticon-headset'                        => 'flaticon-headset',
				'flaticon-call-center'                    => 'flaticon-call-center',
				'flaticon-headset-1'                      => 'flaticon-headset-1',
				'flaticon-call-center-agent'              => 'flaticon-call-center-agent',
				'flaticon-call-center-1'                  => 'flaticon-call-center-1',
				'flaticon-call-center-2'                  => 'flaticon-call-center-2',
				'flaticon-left-quote'                     => 'flaticon-left-quote',
				'flaticon-right-quote'                    => 'flaticon-right-quote',
				'flaticon-left-quote-1'                   => 'flaticon-left-quote-1',
				'flaticon-quote'                          => 'flaticon-quote',
				'flaticon-right-quote-1'                  => 'flaticon-right-quote-1',
				'flaticon-leaf-2'                         => 'flaticon-leaf-2',
				'flaticon-dry-leaf'                       => 'flaticon-dry-leaf',
				'flaticon-watering'                       => 'flaticon-watering',
				'flaticon-plant-2'                        => 'flaticon-plant-2',
				'flaticon-flower-pot-1'                   => 'flaticon-flower-pot-1',
				'flaticon-vegan'                          => 'flaticon-vegan',
				'flaticon-badge'                          => 'flaticon-badge',
				'flaticon-watering-plants'                => 'flaticon-watering-plants',
				'flaticon-watering-plants-1'              => 'flaticon-watering-plants-1',
				'flaticon-watering-can'                   => 'flaticon-watering-can',
				'flaticon-watering-1'                     => 'flaticon-watering-1',
				'flaticon-plant-3'                        => 'flaticon-plant-3',
				'flaticon-fence'                          => 'flaticon-fence',
				'flaticon-fence-1'                        => 'flaticon-fence-1',
				'flaticon-fence-2'                        => 'flaticon-fence-2',
				'flaticon-fence-3'                        => 'flaticon-fence-3',
				'flaticon-lawn-mower'                     => 'flaticon-lawn-mower',
				'flaticon-icon-1013179'                   => 'flaticon-icon-1013179',
				'flaticon-double-left-chevron'            => 'flaticon-double-left-chevron',
			),
		);

		return $icons;

	}

	add_filter( 'csf_field_icon_add_icons', 'onland_csf_custom_icons' );
}