<?php
// Create toggle sidebar section
CSF::createSection( $onland_theme_option, array(
	'title'  => esc_html__( 'Toggle Sidebar', 'onland' ),
	'id'     => 'toggle_sidebar_options',
	'icon'   => 'fas fa-toggle-on',
	'fields' => array(

		array(
			'id'       => 'enable_toggle_sidebar',
			'type'     => 'switcher',
			'title'    => esc_html__( 'Enable Toggle Sidebar', 'onland' ),
			'text_on'  => esc_html__( 'Yes', 'onland' ),
			'text_off' => esc_html__( 'No', 'onland' ),
			'desc'     => esc_html__( 'Enable or Disable toggle sidebar.', 'onland' ),
			'default'  => false,
		),

		array(
			'id'       => 'enable_toggle_overlay',
			'type'     => 'switcher',
			'title'    => esc_html__( 'Enable Toggle Overlay', 'onland' ),
			'text_on'  => esc_html__( 'Yes', 'onland' ),
			'text_off' => esc_html__( 'No', 'onland' ),
			'desc'     => esc_html__( 'Enable or Disable toggle overlay.', 'onland' ),
			'default'  => true,
			'dependency'   => array( 'enable_toggle_sidebar', '==', 'true' ),
		),

		array(
			'id'          => 'toggle_overlay_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Overlay Background Color', 'onland' ),
			'desc'        => esc_html__( 'Select toogle overlay background color.', 'onland' ),
			'dependency'  => array( 'enable_toggle_sidebar|enable_toggle_overlay', '==|==', 'true|true' ),
			'output'      => '.toggle-full-bg',
			'output_mode' => 'background-color',
		),

		array(
			'id'    => 'toggle_icon',
			'type'  => 'icon',
			'title' => esc_html__( 'Toggle Icon', 'onland' ),
			'desc'  => esc_html__( 'Select toggle icon', 'onland' ),
			'default'  => 'flaticon-shopping-basket',
			'dependency'   => array( 'enable_toggle_sidebar', '==', 'true' ),
		),

		array(
			'id'       => 'enable_cart_count',
			'type'     => 'switcher',
			'title'    => esc_html__( 'Enable Cart Count', 'onland' ),
			'text_on'  => esc_html__( 'Yes', 'onland' ),
			'text_off' => esc_html__( 'No', 'onland' ),
			'desc'     => esc_html__( 'Enable / Disable toggle cart count.', 'onland' ),
			'default'  => true,
			'dependency'   => array( 'enable_toggle_sidebar', '==', 'true' ),
		),
	),
) );