<?php
// Create typography section
CSF::createSection( $onland_theme_option, array(
	'title'  => esc_html__( 'Typography', 'onland' ),
	'id'     => 'typography_options',
	'icon'   => 'fa fa-text-width',
	'fields' => array(

		array(
			'id'             => 'body_typo',
			'type'           => 'typography',
			'title'          => esc_html__( 'Primary Font', 'onland' ),
			'desc'           => esc_html__( 'Select primary ( body ) typography.', 'onland' ),
			'output'         => 'body',
			'text_align'     => false,
			'text_transform' => false,
			'color'          => false,
			'extra_styles'   => true,
			'default'        => array(
				'font-family'  => 'Roboto',
				'type'         => 'google',
				'unit'         => 'px',
				'font-weight'  => '400',
				'extra-styles' => array( '500', '700' ),
			),

		),

		array(
			'id'             => 'heading_typo',
			'type'           => 'typography',
			'title'          => esc_html__( 'Secondary Font', 'onland' ),
			'desc'           => esc_html__( 'Select Secondary ( heading & bold ) typography.', 'onland' ),
			'output'         => 'h1,h2,h3,h4,h5,h6,.td-button,.themedraft-button, .td-secondary-font,.widget.widget_rss ul li a,blockquote.wp-block-quote, blockquote,
.comment-author.vcard .fn,.woocommerce .product_list_widget li a,.text-404,blockquote.wp-block-quote, blockquote,.td-cta-button,
.td-home-slider-two .td-slide-title span,.woocommerce #respond input#submit,.woocommerce a.button,.woocommerce button.button,.woocommerce input.button,.woocommerce #respond input#submit.alt,.woocommerce a.button.alt,.woocommerce button.button.alt,.woocommerce input.button.alt,
div#review_form_wrapper .form-submit button[type="submit"],.woocommerce ul.products li.product .price,.woocommerce ul.products li.product .price ins,.woocommerce.td-product-list-view .td-shop-page a.added_to_cart,.woocommerce-mini-cart__total, .single-product.woocommerce .summary.entry-summary .price,.woocommerce div.product .woocommerce-tabs ul.tabs li a, strong.woocommerce-review__author,.woocommerce-Reviews .comment-reply-title,.woocommerce div.product form.cart .reset_variations, .woocommerce-MyAccount-navigation ul li a',
			'text_align'     => false,
			'text_transform' => false,
			'color'          => false,
			'extra_styles'   => true,
			'default'        => array(
				'font-family'  => 'Noto Serif',
				'type'         => 'google',
				'unit'         => 'px',
				'font-weight'  => '700',
				'extra-styles' => array('400'),
			),
		),
	),
) );