<?php
// Create WooCommerce options section
CSF::createSection($onland_theme_option, array(
	'title' => esc_html__('WooCommerce', 'onland'),
	'id'    => 'td_woo_options',
	'icon'  => 'fa fa-shopping-cart',
));

CSF::createSection($onland_theme_option, array(
	'parent' => 'td_woo_options',
	'title'  => esc_html__('Shop Page', 'onland'),
	'icon'   => 'fa fa-shopping-bag',
	'fields' => array(

		array(
			'id'      => 'shop_page_layout',
			'type'    => 'select',
			'title'   => esc_html__('Shop Layout', 'onland'),
			'options' => array(
				'full-width'  => esc_html__('Full Width', 'onland'),
				'left-sidebar'  => esc_html__('Left Sidebar', 'onland'),
				'right-sidebar' => esc_html__('Right Sidebar', 'onland'),
			),
			'default' => 'full-width',
			'desc'    => esc_html__('Select shop page layout.', 'onland'),
		),

		array(
			'id'         => 'shop_default_sidebar',
			'type'       => 'select',
			'title'      => esc_html__( 'Sidebar', 'onland' ),
			'options'    => 'onland_sidebars',
			'default' => 'onland-shop-sidebar',
			'dependency' => array( 'shop_page_layout', '!=', 'full-width' ),
			'desc'       => esc_html__( 'Select shop page sidebar.', 'onland' ),
		),

		array(
			'id'         => 'shop_custom_title',
			'type'       => 'text',
			'title'      => esc_html__('Shop Title', 'onland'),
			'default' => esc_html__('Shop', 'onland'),
			'desc'       => esc_html__('Shop page banner title here.', 'onland')
		),

		array(
			'id'    => 'product_per_page',
			'type'  => 'text',
			'title' => esc_html__( 'Product Per Page', 'onland' ),
			'default' => 9,
			'desc'  => esc_html__( 'Type how many product you want to show per page. Number only.', 'onland' ),
		),

		array(
			'id'    => 'product_column',
			'type'  => 'text',
			'title' => esc_html__( 'Product Column Per Row', 'onland' ),
			'default' => 3,
			'desc'  => esc_html__( 'How many product you want to show per row. Number only.', 'onland' ),
		),

		array(
			'id'       => 'product_quick_view',
			'type'     => 'switcher',
			'title'    => esc_html__('Enable Quick View Icon', 'onland'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Enable or disable product quick view icon.', 'onland'),
		),

		array(
			'id'       => 'product_wish_list',
			'type'     => 'switcher',
			'title'    => esc_html__('Enable Wish list Icon', 'onland'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Enable or disable product wish list icon.', 'onland'),
		),
	)
));

CSF::createSection($onland_theme_option, array(
	'parent' => 'td_woo_options',
	'title'  => esc_html__('Single Product', 'onland'),
	'icon'   => 'fa fa-product-hunt',
	'fields' => array(

		array(
			'id'      => 'product_page_layout',
			'type'    => 'select',
			'title'   => esc_html__('Product Layout', 'onland'),
			'options' => array(
				'full-width'  => esc_html__('Full Width', 'onland'),
				'left-sidebar'  => esc_html__('Left Sidebar', 'onland'),
				'right-sidebar' => esc_html__('Right Sidebar', 'onland'),
			),
			'default' => 'right-sidebar',
			'desc'    => esc_html__('Select product layout.', 'onland'),
		),

		array(
			'id'         => 'product_default_sidebar',
			'type'       => 'select',
			'title'      => esc_html__( 'Sidebar', 'onland' ),
			'options'    => 'onland_sidebars',
			'default' => 'onland-shop-sidebar',
			'dependency' => array( 'product_page_layout', '!=', 'full-width' ),
			'desc'       => esc_html__( 'Select product sidebar.', 'onland' ),
		),

		array(
			'id'         => 'product_banner_title',
			'type'       => 'text',
			'title'      => esc_html__('Product Banner Title', 'onland'),
			'default' => esc_html__('Shop', 'onland'),
			'desc'       => esc_html__('If not empty, this title will show for all single product\'s banner title. Make this field empty to show product default title. You can overwrite it on the individual product page.', 'onland')
		),

		array(
			'id'       => 'product_sku',
			'type'     => 'switcher',
			'title'    => esc_html__('Show SKU', 'onland'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Show / Hide product SKU.', 'onland'),
		),

		array(
			'id'       => 'product_cat',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Category', 'onland'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Show / Hide product category.', 'onland'),
		),

		array(
			'id'       => 'product_tag',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Tags', 'onland'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Show / Hide product tags.', 'onland'),
		),

		array(
			'id'       => 'show_related_products',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Related Products', 'onland'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'onland'),
			'text_off' => esc_html__('No', 'onland'),
			'desc'     => esc_html__('Show / Hide related products.', 'onland'),
		),

		array(
			'id'    => 'related_products_column',
			'type'  => 'text',
			'title' => esc_html__( 'Related Products Column', 'onland' ),
			'default' => 3,
			'desc'  => esc_html__( 'How many product you want to show per row. Number only.', 'onland' ),
			'dependency'            => array('show_related_products', '==', true),
		),
	)
));