<?php

//Register widget area
function onland_widgets_init() {
	register_sidebar(array(
		'name'          => esc_html__('Sidebar', 'onland'),
		'id'            => 'onland-sidebar',
		'description'   => esc_html__('Add widgets here.', 'onland'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title td-primary-bg">',
		'after_title'   => '</h3>',
	));


	register_sidebar(array(
		'name'          => esc_html__('Service Sidebar', 'onland'),
		'id'            => 'onland-service-sidebar',
		'description'   => esc_html__('Add service widgets here.', 'onland'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title td-primary-bg">',
		'after_title'   => '</h3>',
	));


	register_sidebar(array(
		'name'          => esc_html__('Team Sidebar', 'onland'),
		'id'            => 'onland-team-sidebar',
		'description'   => esc_html__('Add team widgets here.', 'onland'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title td-primary-bg">',
		'after_title'   => '</h3>',
	));

	register_sidebar(array(
		'name'          => esc_html__('Project Sidebar', 'onland'),
		'id'            => 'onland-project-sidebar',
		'description'   => esc_html__('Add Project widgets here.', 'onland'),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title td-primary-bg">',
		'after_title'   => '</h3>',
	));


	$footer_widget_column = onland_option('footer_widget_column', 'col-lg-3');
	register_sidebar(array(
		'name'          => esc_html__('Footer Widget', 'onland'),
		'id'            => 'onland-footer-widget',
		'description'   => esc_html__('Add footer widgets here.', 'onland'),
		'before_widget' => '<div id="%1$s" class="widget '.esc_attr($footer_widget_column).' col-md-6 %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	));

	/**
	 * Load Shop Sidebar.
	 */
	if ( class_exists( 'WooCommerce' ) ) {
		register_sidebar(array(
			'name'          => esc_html__('Shop Sidebar', 'onland'),
			'id'            => 'onland-shop-sidebar',
			'description'   => esc_html__('Add shop widgets here.', 'onland'),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h3 class="widget-title td-primary-bg">',
			'after_title'   => '</h3>',
		));
	}

	/**
	 * Toggle Sidebar.
	 */

	$toggle_sidebar = onland_option('enable_toggle_sidebar');

	if ( $toggle_sidebar == true ) {
		register_sidebar(array(
			'name'          => esc_html__('Toggle Sidebar', 'onland'),
			'id'            => 'onland-toggle-sidebar',
			'description'   => esc_html__('Add toggle sidebar widgets here.', 'onland'),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		));
	}
}

add_action('widgets_init', 'onland_widgets_init');