<?php
$enable_header_top = onland_option('enable_header_top', true);
$top_info_text = onland_option('header_top_info_text');
$sticky_header    = onland_option( 'sticky_header', true );
$toggle_sidebar = onland_option('enable_toggle_sidebar');
$toggle_icon = onland_option('toggle_icon');
$enable_cart_count = onland_option('enable_cart_count');
?>


<?php if($enable_header_top == true) : ?>
<div class="header-top-area">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-7">
                <div class="top-info">
	                <?php if(is_array($top_info_text)) : ?>
                        <ul class="td-list-style td-list-inline">
			                <?php foreach ($top_info_text as $top_info) : ?>
                                <li>
                                    <i class="<?php echo esc_attr($top_info['info_icon']);?>"></i>
					                <?php echo wp_kses_post($top_info['info_text']);?>
                                </li>
			                <?php endforeach;?>
                        </ul>
	                <?php endif; ?>
                </div>
            </div>
            <div class="col-lg-5 text-end">
                <div class="top-menu-and-cart td-list-style td-list-inline">

	                <?php
	                $header_top_menu = onland_option('header_top_menu', '');

	                if(! empty ( $header_top_menu )){
		                wp_nav_menu( array(
			                'menu' => $header_top_menu,
			                'menu_id'        => 'header-top-menu',
			                'container_class' => 'header-top-menu-container'
		                ) );
	                }
	                ?>

	                <?php if($toggle_sidebar == true) : ?>
                    <div class="header-toggle-icon">
                        <i class="<?php echo esc_attr($toggle_icon);?>"></i>
	                    <?php if(class_exists( 'WooCommerce' ) && $enable_cart_count == true): ?>
                            <span class="cart-product-count"><?php echo WC()->cart->get_cart_contents_count();?></span>
	                    <?php endif; ?>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php endif; ?>




<div class="main-menu-area" <?php if($sticky_header == true ){echo 'data-uk-sticky="top: 250; animation: uk-animation-slide-top;"';} ?>>
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-2 col-sm-3 col-6">
				<?php get_template_part( 'template-parts/header/header-logo' ); ?>
            </div>

            <div class="col-lg-10 col-sm-9 col-6">
                <div class="header-nav-and-buttons">
                    <div class="header-navigation-area">
						<?php get_template_part( 'template-parts/header/header-menu' );?>
                    </div>
					<?php get_template_part( 'template-parts/header/header-buttons' );?>
                </div>
            </div>
        </div>
    </div>
</div>